Package org.apache.bcel.generic

# Class FSTORE

java.lang.Object
org.apache.bcel.generic.Instruction
org.apache.bcel.generic.LocalVariableInstruction
org.apache.bcel.generic.StoreInstruction
org.apache.bcel.generic.FSTORE

All Implemented Interfaces:
  `Cloneable`, `IndexedInstruction`, `PopInstruction`, `StackConsumer`, `TypedInstruction`

public class FSTORE extends StoreInstruction
FSTORE - Store float into local variable

     Stack: ..., value -> ...

- ## Field Summary

  ### Fields inherited from class org.apache.bcel.generic.LocalVariableInstruction

  `n`

  ### Fields inherited from class org.apache.bcel.generic.Instruction

  `length, opcode`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FSTORE(int n)`
  Store float into local variable

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `accept(Visitor v)`
  Call corresponding visitor method(s).

  ### Methods inherited from class org.apache.bcel.generic.LocalVariableInstruction

  `dump, getCanonicalTag, getIndex, getType, initFromFile, setIndex, toString`

  ### Methods inherited from class org.apache.bcel.generic.Instruction

  `consumeStack, copy, equals, getComparator, getLength, getName, getOpcode, hashCode, isValidByte, isValidShort, produceStack, readInstruction, setComparator, toString, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.apache.bcel.generic.StackConsumer

  `consumeStack`

- ## Constructor Details

  - ### FSTORE

    public FSTORE(int n)
    Store float into local variable
    Parameters:
      `n` - index of local variable

- ## Method Details

  - ### accept

    public void accept(Visitor v)
    Call corresponding visitor method(s). The order is: Call visitor methods of implemented interfaces first, then call methods according to the class hierarchy in descending order, i.e., the most specific visitXXX() call comes last.
    Overrides:
      `accept` in class `StoreInstruction`
    Parameters:
      `v` - Visitor object